
Website Monitoring - Bug #1601

Users with power user + edit_modinput_web_ping + list_inputs still can't make inputs

11/18/2016 06:24 AM - Luke Murphey

Status: Closed Start date: 11/18/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.1   

Description

Associated revisions

Revision 233 - 12/07/2016 06:45 AM - lmurphey

Listing inputs using nobody as opposed to admin, reference #1601

Revision 234 - 12/07/2016 08:04 AM - lmurphey

Fixing a couple of issues with the batch input creation

Fixing issue where users could not create inputs if they didn't have

permission to read items owned by admin. Closes #1601

Fixed issue where the protocol of the URL was not added as it was

supposed to be. Closes #1648

History

#1 - 11/18/2016 06:25 AM - Luke Murphey

This issue was received over email. See email to know how to respond to.

#2 - 12/07/2016 06:12 AM - Luke Murphey

Users also need edit_tcp for some reason.

#3 - 12/07/2016 06:45 AM - Luke Murphey

One thing I found is that the UI is trying to list inputs for admin when attempting to determine what names are already used. It should be using

nobody.

#4 - 12/07/2016 07:00 AM - Luke Murphey

Inputs are being made with the admin user which won't work.

#5 - 12/07/2016 07:03 AM - Luke Murphey

I'm also getting an error complaining that it doesn't have a protocol. The code is supposed to be adding that:

The value of 'textcritical.com' for the 'url' parameter does not contain a host name
#6 - 12/07/2016 08:04 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-website-monitoring|r234.
